disp( 'test005: check that models have the same dimensionality' );

list_of_models = {'../../../models/2D/endosome.mat', ...
    '../../../models/3D/lamp2.mat'};
param.debug = true;

answer = slml2img( list_of_models, param );
assert( ~answer )

tic
list_of_models = {'../../../models/2D/endosome.mat', ...
    '../../../models/2D/lysosome.mat'};
param.debug = true;

answer = slml2img( list_of_models, param );
toc
assert( answer )

% tic
% list_of_models = {'../../../models/3D/mit.mat', ...
%     '../../../models/3D/lamp2.mat'};
% param.debug = true;
% 
% answer = slml2img( list_of_models, param );
% toc
% assert( answer )